Bug 110996 - named all of a sudden says bad dotted quad
named all of a sudden says bad dotted quad
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-11-26 08:16 EST by Sjoerd Mullender
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-10 16:06:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2003-11-26 08:16:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031125 Firebird/0.7+

Description of problem:
On November 17 I upgraded various packages to the latest updates,
among them glibc (upgraded to glibc-2.3.2-27.9.7).  On November 19 I
rebooted the system.  Since then named (which was *not* upgraded) logs
messages in syslog: XXX.zone:23: near 'CNAME': bad dotted quad.
I have not changed this configuration recently (last change was
several months and several reboots ago), and I have not changed named
since I initially installed RedHat 9 (still running bind-9.2.1-16),
which leads me to think the problem is an incompatibility with glibc.
The line named all of a sudden complained about was:

XXX IN A CNAME <n>-<m>.surfsnel.dsl.internl.net.

where <n> and <m> are numbers in the range 1-254.

Of course, there is nothing I can do about the name on the right.  It
is given to me by my ISP.

Version-Release number of selected component (if applicable):
bind-9.2.1-16 glibc-2.3.2-27.9.7

How reproducible:

Steps to Reproduce:
1.Set up a primary domain, and a CNAME entry that looks like the one
2.Upgrade to latest versions of RedHat 9 updates
3.Restart named

Actual Results:  named complained about "bad dotted quad" and served
an empty domain, making my system unreachable from the outside world.

Expected Results:  named should accept the host name on the right hand
side as valid.

Additional info:

This is a list of all packages that I have upgraded recently:
glibc-2.3.2-27.9.7 glibc-common-2.3.2-27.9.7 glibc-debug-2.3.2-27.9.7
glibc-devel-2.3.2-27.9.7 glibc-profile-2.3.2-27.9.7
glibc-utils-2.3.2-27.9.7 iproute-2.4.7-7.90.1 nscd-2.3.2-27.9.7
pan-0.14.2-1.9 postgresql-libs-7.3.4-3.rhl9
XFree86-100dpi-fonts-4.3.0-2.90.43 XFree86-4.3.0-2.90.43
XFree86-75dpi-fonts-4.3.0-2.90.43 XFree86-base-fonts-4.3.0-2.90.43
XFree86-cyrillic-fonts-4.3.0-2.90.43 XFree86-devel-4.3.0-2.90.43
XFree86-doc-4.3.0-2.90.43 XFree86-font-utils-4.3.0-2.90.43
XFree86-ISO8859-9-75dpi-fonts-4.3.0-2.90.43 XFree86-libs-4.3.0-2.90.43
XFree86-libs-data-4.3.0-2.90.43 XFree86-Mesa-libGL-4.3.0-2.90.43
XFree86-Mesa-libGLU-4.3.0-2.90.43 XFree86-tools-4.3.0-2.90.43
XFree86-truetype-fonts-4.3.0-2.90.43 XFree86-twm-4.3.0-2.90.43
XFree86-xauth-4.3.0-2.90.43 XFree86-xdm-4.3.0-2.90.43
Comment 1 Daniel Roesen 2004-01-17 14:03:03 EST
XXX IN A CNAME <n>-<m>.surfsnel.dsl.internl.net.

is broken. The "A" is superflous and BIND looks for an IPv4 address
after it and finds "CNAME".

Can you confirm?
Comment 2 Sjoerd Mullender 2004-03-10 16:06:48 EST
This seems to work.  Pilot error I guess.

I've closed the bug as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.